package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrFile;

/**
 * PSSR附件Mapper接口
 * 
 * @author ssy
 * @date 2024-10-30
 */
public interface TPssrFileMapper 
{
    /**
     * 查询PSSR附件
     * 
     * @param fileId PSSR附件ID
     * @return PSSR附件
     */
    public TPssrFile selectTPssrFileById(Long fileId);

    /**
     * 查询PSSR附件列表
     * 
     * @param tPssrFile PSSR附件
     * @return PSSR附件集合
     */
    public List<TPssrFile> selectTPssrFileList(TPssrFile tPssrFile);

    /**
     * 新增PSSR附件
     * 
     * @param tPssrFile PSSR附件
     * @return 结果
     */
    public int insertTPssrFile(TPssrFile tPssrFile);

    /**
     * 修改PSSR附件
     * 
     * @param tPssrFile PSSR附件
     * @return 结果
     */
    public int updateTPssrFile(TPssrFile tPssrFile);

    /**
     * 删除PSSR附件
     * 
     * @param fileId PSSR附件ID
     * @return 结果
     */
    public int deleteTPssrFileById(Long fileId);

    /**
     * 批量删除PSSR附件
     * 
     * @param fileIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrFileByIds(Long[] fileIds);
}
